Bug 598793 - Display freezes when viewing fullscreen Adobe Flash content
Display freezes when viewing fullscreen Adobe Flash content
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 23:44 EDT by Andreas Fleig
Modified: 2018-04-11 13:54 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:18:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg logfile. Log starts just before going fullscreen and zapping the X server. (204.02 KB, text/plain)
2010-06-01 23:44 EDT, Andreas Fleig
no flags Details
Xorg logfile with drm.debug=0x04 (65.74 KB, text/plain)
2010-06-02 20:32 EDT, Andreas Fleig
no flags Details
/var/log/messages with drm.debug=0x04 (1005.40 KB, text/plain)
2010-06-02 20:33 EDT, Andreas Fleig
no flags Details
dmesg after freeze with drm.debug=0x04 (80.88 KB, text/plain)
2010-06-02 20:33 EDT, Andreas Fleig
no flags Details

  None (edit)
Description Andreas Fleig 2010-06-01 23:44:19 EDT
Created attachment 418895 [details]
Xorg logfile. Log starts just before going fullscreen and zapping the X server.

Description of problem:
Viewing Flash content in fullscreen mode instantly freezes the display. Switching to a text console does not help (the console is not shown). The display can only be recovered by restarting the X server.

Not all flash content is affected. Youtube, for example, works as it should.

Version-Release number of selected component (if applicable):

Name       : xorg-x11-drv-intel
Arch       : x86_64
Version    : 2.11.0
Release    : 4.fc13

Linux 2.6.33.5-112.fc13.x86_64


How reproducible:
Always, for certain pages

Steps to Reproduce:
1. Open this webpage:
   http://dpreview.com/galleries/reviewsamples/albums/panasonic-lumix-g-fisheye-8mm-f3-5-preview-samples/slideshow
2. Go Fullscreen
  
Actual results:
Display freezes

Expected results:
Choppy fullscreen flash content :-)

Additional info:
Hardware: Thinkpad R61, Intel 965GM Graphics
LVDS1 output disabled, using DVI1
Comment 1 Werner Gold 2010-06-02 04:47:25 EDT
Similar issue here. (32bit) Intel Graphics.

It doesn't always freeze and the external display seems to freeze more often. Maybe because it has higher resolution ?!?
I _can_ switch back to console and kill X (with signal 15). But sometimes it doesn't restart nicely afterwords and I need to reboot. Even killing the displaymanager doesn't bring it back. ->kernel?

When it freezes there is no logfile entry in the xorg.logs, but I found the following in messages:

Jun  2 10:23:17 localhost kernel: npviewer.bin[3635]: segfault at b69cef60 ip 00a4d1cd sp b50a1e64 error 4
Jun  2 10:23:17 localhost kernel: npviewer.bin[3608]: segfault at b6878030 ip 00a4d1cd sp bfd51834 error 4 in libpthread-2.12.so[a45000+17000]
Jun  2 10:23:17 localhost kernel: in libpthread-2.12.so[a45000+17000]
Comment 2 Matěj Cepl 2010-06-02 18:56:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command after the freeze happens (you can get it from console), and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Andreas Fleig 2010-06-02 20:32:55 EDT
Created attachment 419218 [details]
Xorg logfile with drm.debug=0x04
Comment 4 Andreas Fleig 2010-06-02 20:33:25 EDT
Created attachment 419219 [details]
/var/log/messages with drm.debug=0x04
Comment 5 Andreas Fleig 2010-06-02 20:33:48 EDT
Created attachment 419220 [details]
dmesg after freeze with drm.debug=0x04
Comment 6 Andreas Fleig 2010-06-02 20:40:45 EDT
When not using DVI, I can switch back to the console after the freeze. The cursor still works, if that helps. The cursor type even changes (e.g. to hand cursor over a link.)

I couldn't find flash segfaulting anywhere in the logs, though.
Comment 7 Christopher J. Buckley 2010-06-23 17:06:00 EDT
I experience exactly the same behaviour, yet it DOES occur in youtube.com for me. I note that the crash does not always occur, but only after exiting full-screen 2-3 times, then upon re-entering full screen it crashes.  

Side note: I think Jobs has a point about Flash....
Comment 8 Andreas Fleig 2010-06-23 18:07:27 EDT
Since the Flash update to 10.1.53.64 (and from 64 to 32 bit) I did not experience any crashes. Flash runs stable und shockingly smooth ;-)
Comment 9 Christopher J. Buckley 2010-06-24 06:21:47 EDT
This does not fix the issue for me.

[root@ahx-thinkpad ~]# rpm -qa | grep flash
flash-plugin-10.1.53.64-release.i386

I still receive constant white screens in FS mode.
Comment 10 Nikolas Moraitis 2010-06-27 07:26:00 EDT
Jun 27 12:52:23 localhost kernel: npviewer.bin[6158]: segfault at 0 ip 000000000119d041 sp 00000000ffa8efe0 error 4 in libflashplayer.so[dfe000+b04000]
Jun 27 12:52:23 localhost abrt[6185]: saved core dump of pid 6158 (/usr/lib/nspluginwrapper/npviewer.bin) to /var/cache/abrt/ccpp-1277632343-6158.new/coredump (10731520 bytes)
Jun 27 12:52:23 localhost abrtd: Directory 'ccpp-1277632343-6158' creation detected
Jun 27 12:52:23 localhost abrtd: Blacklisted package 'nspluginwrapper'
Jun 27 12:52:23 localhost abrtd: Corrupted or bad crash /var/cache/abrt/ccpp-1277632343-6158 (res:2), deleting
Comment 11 Matěj Cepl 2010-06-28 06:18:45 EDT
(In reply to comment #10)
> Jun 27 12:52:23 localhost kernel: npviewer.bin[6158]: segfault at 0 ip
> 000000000119d041 sp 00000000ffa8efe0 error 4 in
> libflashplayer.so[dfe000+b04000]
> Jun 27 12:52:23 localhost abrt[6185]: saved core dump of pid 6158
> (/usr/lib/nspluginwrapper/npviewer.bin) to
> /var/cache/abrt/ccpp-1277632343-6158.new/coredump (10731520 bytes)
> Jun 27 12:52:23 localhost abrtd: Directory 'ccpp-1277632343-6158' creation
> detected
> Jun 27 12:52:23 localhost abrtd: Blacklisted package 'nspluginwrapper'
> Jun 27 12:52:23 localhost abrtd: Corrupted or bad crash
> /var/cache/abrt/ccpp-1277632343-6158 (res:2), deleting    

That's segfault in flash plugin with which we cannot help.
Comment 12 Ivan Stojmirov 2010-11-24 15:42:36 EST
I believe most of the people here are not complaining about flash segfaulting but more about its ability to completely freeze xorg. Is it really supposed to be able to do that?

On a side note, this bug is probably related to 624731.
Comment 13 Matěj Cepl 2010-12-23 07:59:28 EST
(In reply to comment #12)
> On a side note, this bug is probably related to 624731.

I don't think so ... bug 624731 is about Arrandale, which stands in the class for itself. At least reporter of this bug has PCI ID 8086:2a02, not Arrandale.
Comment 14 Matěj Cepl 2011-01-18 06:17:24 EST
I wonder whether this bug isn't related to bug 670417
Comment 15 Bug Zapper 2011-06-02 08:24:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 13:18:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.